Skip to main content
POST
Create Wallet

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

external_vendor_id
string
required

The External ID of the Vendor to retrieve.

Minimum string length: 1

Body

application/json
name
string
required

Name of the wallet

Required string length: 1 - 32
isManaged
boolean
default:false

Whether the wallet is visible only to the marketplace. When true, Topsort hides it from the vendor, but it still funds their campaigns as normal.

isMarketplaceCredits
boolean
default:false

Whether the wallet holds marketplace credits. Campaigns funded by a marketplace credits wallet do not accrue billable spend. True requires free credit wallets to be enabled for the marketplace. Cannot be changed after creation.

Response

Successful Response

walletId
string<uuid>
required